####
#### Note: mailtray runs fine with Windows. I just can't get py2exe to work
####

import glob
import sys
from distutils.core import setup

import py2exe

ver = '%s%s' % (sys.version_info.major, sys.version_info.minor)

setup(
	name = 'mailtray',
	version = '1.4',
	author = 'Martin Tournoij',
	author_email = 'martin@arp242.net',
	url = 'http://code.google.com/p/mailtray/',
	zipfile = 'python%s.zip' % ver,
	data_files = [
		('share/mailtray', ['data/alert.wav', 'mailtrayrc_default.py']),
		('share/mailtray/icons', glob.glob('data/icons/*')),
		('man/man1', ['doc/mailtray.1']),
	],
	#console = [
	windows = [
		{
			'script': 'mailtray',
			# This doesn't seem to work? I'm adding the icon later with reshack
			#'icon_resources': [(1, 'icon.ico')],
		},
	],

	options = {
		'py2exe': {
			#'compressed': True,
			#'optimize': 2,
			#'unbuffered': True,

			# Turning this one causes issues with pygtk
			#'bundle_files': 1,
			'includes': ['cairo', 'pango', 'pangocairo', 'atk', 'gobject' ],
			'dll_excludes': ['POWRPROF.DLL', 'MSWSOCK.DLL', ],
			#'excludes': ['_ssl', 'doctest', 'pdb', 'unittest', 'difflib', 'inspect',
			#	'pyreadline', 'optparse', 'calendar', '_hashlib', 'pyexpat', 'bz2',],
		}
	}
)
