#!/usr/bin/env python

import glob
import subprocess
import sys

from distutils.core import setup

if len(sys.argv) > 1 and sys.argv[1] == 'man':
	subprocess.Popen(
		['txt2tags -o - --target man doc/mailtray.t2t | grep -Ev $^ > doc/mailtray.1'],
		shell=True)
	subprocess.Popen(
		['txt2tags -o - --target gwiki doc/mailtray.t2t | grep -Ev $^ > doc/mailtray.gwiki'],
		shell=True)
	exit(0)

setup(
	name = 'mailtray',
	version = '1.4',
	author = 'Martin Tournoij',
	author_email = 'martin@arp242.net',
	url = 'http://code.google.com/p/mailtray/',
	scripts = ('mailtray',),
	data_files = [
		('share/mailtray', ['data/alert.wav', 'mailtrayrc_default.py']),
		('share/mailtray/icons', glob.glob('data/icons/*')),
		('man/man1', ['doc/mailtray.1']),
	],
)
